<div class="container">
  <h1>Mes Favoris</h1>

    <div class="card-deck mt-4">
      <div class="row">
          <% @favoris.each do |favori| %>
            <% @locations.each do |location| %>
              <% if location.id == favori.location_id %>
                <div class="col" >
                  <div class="card"  style="width: 18rem">
                    <%= link_to location do %>
                      <%= image_tag(location.photos , style:"width: 18rem; height: 10rem", class: 'card-img-top') %>
                    <% end %>
                    <div class="card-body">
                      <h5 class="card-title" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"><%= location.v_type %>, <%= location.titre %></h5>
                      <p class="card-text" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"><%= location.desc %> </p>
                      <p class="card-text"><%= location.zip %> <%= location.city %> </p>
                    </div>
                    <div class="card-footer">
                      <%= link_to 'Retirer des favoris', favori, method: :delete, data: { confirm: 'Êtes vous sûr ?' },class: "btn btn-danger", style: "color: white" %>
                    </div>
                  </div>

                  <br>
                </div>

              <% end %>
            <% end %>
          <% end %>
      </div>
    </div>
</div>
